Module java.corba
Package org.omg.CORBA.TypeCodePackage

## Class Bounds

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.CORBA.TypeCodePackage.Bounds

- All Implemented Interfaces:
    `Serializable`, `IDLEntity`

      public final class Bounds
      extends UserException

  Provides the `TypeCode` operations `member_name()`, `member_type()`, and `member_label`. These methods raise `Bounds` when the index parameter is greater than or equal to the number of members constituting the type.
  Since:
    JDK1.2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Bounds​()` | Constructs a `Bounds` exception with no reason message.
    `Bounds​(String reason)` | Constructs a `Bounds` exception with the specified reason message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### Bounds

          public Bounds​()

      Constructs a `Bounds` exception with no reason message.

    - #### Bounds

          public Bounds​(String reason)

      Constructs a `Bounds` exception with the specified reason message.
      Parameters:
        `reason` - the String containing a reason message